package edu.vub.nfc;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class WifiConfigDb extends SQLiteOpenHelper {

    private static final int DATABASE_VERSION = 1;
    
    // database name
    public static final String DB_NAME = "swipeandconnect.db";
    
    // table name
    public static final String CONFIGS_TABLE_NAME = "configs";
    
    // column names
    public static final String CONFIGS_TABLE_SSID_COLNAME = "ssid";
    public static final String CONFIGS_TABLE_KEY_COLNAME = "key";
    public static final String CONFIGS_TABLE_ENCRYPTED_COLNAME = "encrypted";
    public static final String CONFIGS_TABLE_DATE_COLNAME = "date";
    
   
    
    // table creation
    private static final String CONFIGS_TABLE_CREATE =
    	"CREATE TABLE " + CONFIGS_TABLE_NAME + " (" +
    	CONFIGS_TABLE_SSID_COLNAME + " TEXT PRIMARY KEY, " +
    	CONFIGS_TABLE_KEY_COLNAME + " TEXT, " +
    	CONFIGS_TABLE_ENCRYPTED_COLNAME + " INTEGER, " +
    	CONFIGS_TABLE_DATE_COLNAME + " DATE" +
    	");";

    public WifiConfigDb(Context context) {
        super(context, DB_NAME, null, DATABASE_VERSION);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(CONFIGS_TABLE_CREATE);
    }

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
	}
    
}
