package edu.vub.nfc;

import android.net.wifi.WifiConfiguration;
import android.net.wifi.WifiManager;
import edu.vub.nfc.thing.Thing;
import edu.vub.nfc.thing.ThingActivity;

public class WifiConfig extends Thing {

	public String ssid_;
	public String key_;

	public WifiConfig(ThingActivity<WifiConfig> activity, String ssid, String key) {
		super(activity);
		ssid_ = ssid;
		key_ = key; 
	}
	
	public boolean connect(WifiManager wm) {
		WifiConfiguration wc = new WifiConfiguration();
		wc.SSID = "\"" + ssid_ + "\"";
		wc.preSharedKey = "\"" + key_ + "\"";
		wc.status = WifiConfiguration.Status.ENABLED;
		wc.allowedGroupCiphers.set(WifiConfiguration.GroupCipher.TKIP);
		wc.allowedGroupCiphers.set(WifiConfiguration.GroupCipher.CCMP);
		wc.allowedKeyManagement.set(WifiConfiguration.KeyMgmt.WPA_PSK);
		wc.allowedPairwiseCiphers.set(WifiConfiguration.PairwiseCipher.TKIP);
		wc.allowedPairwiseCiphers.set(WifiConfiguration.PairwiseCipher.CCMP);
		wc.allowedProtocols.set(WifiConfiguration.Protocol.RSN);
		int res = wm.addNetwork(wc);
		boolean success = wm.enableNetwork(res, true);
		return success;
	};

}
